INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_PNC PNC)

FIND_PATH(
    PNC_INCLUDE_DIRS
    NAMES PNC/api.h
    HINTS $ENV{PNC_DIR}/include
        ${PC_PNC_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    PNC_LIBRARIES
    NAMES gnuradio-PNC
    HINTS $ENV{PNC_DIR}/lib
        ${PC_PNC_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(PNC DEFAULT_MSG PNC_LIBRARIES PNC_INCLUDE_DIRS)
MARK_AS_ADVANCED(PNC_LIBRARIES PNC_INCLUDE_DIRS)

